unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ComCtrls, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TrackBar1: TTrackBar;
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  for i:=0 to 3 do
    Chart1.AddSeries(TBarSeries).FillSampleValues();

  TrackBar1.Max:=100;
  TrackBar1.Min:=0;
  TrackBar1.Position:=(Chart1[0] as TBarSeries).BarWidthPercent;
  TrackBar1.Frequency:=10;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
var i: Integer;
begin
  for i:=0 to chart1.SeriesCount-1 do
    (Chart1[i] as TBarSeries).BarWidthPercent:=TrackBar1.Position;
end;

end.
